proc_terminate
system
Program execution Functions
PHP Manual

# shell_exec

(PHP 4, PHP 5)

shell_exec — Execute command via shell and return the complete output as a string

### Description

string shell_exec ( string `$cmd` )

This function is identical to the backtick operator.

### Parameters

`cmd`

  The command that will be executed.

### Return Values

The output from the executed command.

### Examples

Example #1 A shell_exec() example

`<?php
$output = shell_exec('ls -lart');
echo "<pre>$output</pre>";
?>`

### Notes

> Note: This function is disabled when PHP is running in safe mode.

### See Also

- exec() - Execute an external program
- escapeshellcmd() - Escape shell metacharacters

proc_terminate
system
Program execution Functions
PHP Manual